﻿using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;

namespace UPP.Engine
{

    public static class PropertyWindow {

        public static void ShowSettings(PropertyRecord property, UPP.OGUI.Window modalParent, string title="Property settings")
        {
            EditorWindow w = EditorWindow.GetWindow(typeof(PropertyWindowInstanceSettings), true, title);
            PropertyWindowInstanceSettings pw = (w as PropertyWindowInstanceSettings);
            modalParent.ModalChild = pw;
            pw.PropertyRecord = property;
        }
    }

}