﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;
using UPP.OGUI;

namespace UPP.Engine
{

    public class SceneTools : Window
    {
        float width = 200;
        float height = 500;

        [MenuItem("Unity++/Scene Tools")]
        public static void ShowWindow()
        {
            EditorWindow.GetWindow(typeof(SceneTools), false, "Scene Tools");
        }

        protected override void PrepareGUI()
        {
            // TODO: Revert this back!

            position = new Rect(position.x, position.y, width, height);

            Panel p = new Panel();
            p.Dock = DockStyle.Top;
            p.Size.Height = 50;
            p.BackgroundColor = ColorSchemes.BackgroundColorDarker;
            p.BorderColor = ColorSchemes.BorderColor;

            Label l = new Label("Template type:");
            l.Position = new Position(3, 5);
            l.Parent = p;

            ComboBox cb = new ComboBox("Units");
            cb.Parent = p;
            cb.Position = new Position(0, 24);
            // cb.Anchor = new Anchor(true, true, false, true);
            cb.Size.Width = width;

            string[] btns = new string[] { "Footman", "Rifleman", "Knight", "King", "Priest", "Hunter" };
            foreach (string s in btns)
            {
                Button b = new Button(s);
                b.Dock = DockStyle.Top;
            }
        }
    }

}