﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using UnityEngine;

namespace UPP.Engine
{
    [Serializable]
    public abstract class Property<T> : PropertyBase
    {
        public abstract void Set(T data, int index = 0);
        public abstract void Unpack(string[] data);
        public abstract string[] Pack();
        public abstract T Get(int index = 0);
        public abstract T GetDefault();
    }
}